<?php
/*Автор - TheAlex(Саня)
Все права принадлежат компании CreaWap)*/
$title = 'Магазин';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}

$_GET['id']=abs(intval($_GET['id']));
if($_GET['id']==0){
	echo err($title, 'Данные с запросом не переданы!');
	require_once ('../system/footer.php'); exit;
}
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"))==0){
	echo err($title, 'Папки не существует');
	require_once ('../system/footer.php'); exit;
}
$folder=mysql_fetch_assoc(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"));
echo '<div class="title">'.$folder['name'].'</div>';
if($folder['up']==0){
	$qq=mysql_query("SELECT * FROM `shop_dir` WHERE `dir`='".$_GET['id']."'");
	while($q=mysql_fetch_assoc($qq)){
		echo '<div class="links"><img src="/images/m/folder.png">	<a href="/m/dir.php?id='.$q['id'].'">'.$q['name'].'</a></div>';
	}
}else{
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `shop_goods` WHERE `dir` = '".$_GET['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$good = mysql_query("SELECT * FROM `shop_goods` WHERE `dir` = '".$_GET['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($g = mysql_fetch_assoc($good))
{

echo '<div class="links"><a href="/m/tovar.php?id='.$g['id'].'">'.$g['name'].'<br/>
Стоит:'.$g['price'].'</a>';

echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>Товаров пока нет!</center></b></div>';

if($k_page>1) echo str(''.$HOME.'/m/dir.php?id='.$_GET['id'].'&',$k_page,$page); // Вывод страниц
	echo '<div class="links"><img src="/images/m/up.png">	<a href="/m/add.php?id='.$_GET['id'].'">Добавить товар</a></div>';
}
echo '<div class="links"><a href="/m">Магазин</a></div>';
require_once ('../system/footer.php');
?>